#
# spec file for package bonnie (Version 1.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           bonnie
URL:            http://www.garloff.de/kurt/linux/bonnie/
License:        GPL
Group:          System/Benchmark
Autoreqprov:    on
Summary:        File System Benchmark
Version:        1.4
Release:        351.4
Source:         %{name}-%{version}.tar.bz2
Patch:          bonnie-1.4.dif
#Patch:  %{name}-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bonnie is a popular performance benchmark that targets various aspects
of Unix file systems.



Authors:
--------
    Tim Bray <tbray@textuality.com>
    Kurt Garloff <garloff@suse.de>

%debug_package
%prep
%setup -n bonnie
%patch

%build
make CC=gcc CFLAGS="$RPM_OPT_FLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

%files
%doc bonnie.doc README
/usr/bin/bonnie
%{_mandir}/man1/bonnie.1.gz

%changelog -n bonnie
* Fri May 19 2006 - ro@suse.de
- fix build on ppc64 (define PAGE_MASK if not done)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Apr 04 2002 - garloff@suse.de
- Version-1.4:
  * Fix seek benchmark: 1.3 read too large chunks (1MB instead
  of 16k) after every seek, resulting in too low seek numbers.
  bug #15642
* Sat Feb 23 2002 - garloff@suse.de
- Compile fix for archs not supporting O_DIRECT (typo)
- Use O_DIRECT from fcntl.h if present.
* Wed Feb 20 2002 - garloff@suse.de
- Update to bonnie-1.3:
  * Fixed HTML output (thanks to Rupert Kolb for notfying/patch)
  * Optionally use O_DIRECT (patch by Chris Mason / Andrea Arc.)
* Wed Aug 30 2000 - garloff@suse.de
- Update to 1.2:
  * New option -u for getc_/putc_unlocked.
  * Fixed CPU percentage reports if equal or in excess of 100%%.
  * Machine name defaults to hostname now.
- Use BuildRoot.
* Sun Feb 13 2000 - garloff@suse.de
- Moved manpage to /usr/share/man
- new options -y, -S, -p
- Add warning if test-size smaller memsize
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - garloff@suse.de
- Initial check in of Big Bonnie.
- Added breakhandler to remove temporary files.
